For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • GETGet KYC Requirement
      • GETGet Additional Requirements
      • GETGet KYC - IdProof Status
      • PATCHPatch User Details
      • POSTUpdate Purpose Of Usage
      • POSTSubmit SSN
      • POSTSubmit Source of Income
      • POSTUpload Proof Document
Dashboard
LogoLogo
TRANSAK WHITELABEL APIKYC

Submit Source of Income

||View as Markdown|
POST
https://api-gateway-stg.transak.com/api/v2/user/source-of-income
POST
/api/v2/user/source-of-income
$curl -X POST https://api-gateway-stg.transak.com/api/v2/user/source-of-income \
> -H "Content-Type: application/json" \
> -d '{
> "monthlyVolume": "5000-10000 USD",
> "sourceOfFundsType": "salary"
>}'
1{
2 "data": {
3 "status": "SUBMITTED"
4 }
5}
**Submit Source of Income** is an **authenticated** API call that allows the submission of a user’s income source details as part of the KYC verification process. This step may be mandatory based on jurisdictional or regulatory requirements and is used for compliance validation. The valid source of income information must be provided as part of the **Enhanced KYC flow**
Was this page helpful?
Previous

Submit SSN

Next

Upload Proof Document

Built with

Submit Source of Income is an authenticated API call that allows the submission of a user’s income source details as part of the KYC verification process. This step may be mandatory based on jurisdictional or regulatory requirements and is used for compliance validation.

The valid source of income information must be provided as part of the Enhanced KYC flow

Headers

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Request

This endpoint expects an object.
monthlyVolumestringRequired
sourceOfFundsTypestringRequired

value from SOURCE_OF_INCOME form options

Response

200 - Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error